Verfasste Forenbeiträge

Ansicht von 7 Antworten - 1 bis 7 (von insgesamt 7)
  • Thread-Ersteller kristinaanna

    (@kristinaanna)

    @zodiac1978 Warum ist es ein lokales Problem? Mein Kollege hat das Problem ja auch, dass er Editor nicht richtig funktioniert und bei ihm erscheint keine Fehlermeldung in der Console.

    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Ah und ich habe gerade gemerkt, dass der Customizer auch nicht mehr funktioniert. Das ist zwar weniger tragisch, hilft aber ja vielleicht, bei der Lösungsfindung 🙂

    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Ich habe die Zeile hinzugefügt. Meine Fehlermeldung sieht nun so aus:

    https://a-cocktail-a-day.com/wp-content/uploads/2017/02/Bildschirmfoto-2017-02-22-um-17.16.48.png

    Mein Kollege hat immer noch keine Fehlermeldung. Bei uns beiden sieht der Editor gleich wie oben beschrieben aus, d.h. bei mir funktioniert nach wie vor nichts, bei ihm nur der Text-Editor.

    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Als vorübergehende (?) Lösung habe ich diesen Editor installiert: https://wordpress.org/plugins/ckeditor-for-wordpress/

    Das scheint nun zu funktionieren. Spricht irgendwas dagegen, diesen zu verwenden?

    Und falls noch wer Ideen/Vorschläge hat, das Problem zu fixen, dann probiere ich gerne aus. 🙂

    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Also ich nutze die neuste Version von WP.

    Bei mir wird folgenden Fehlermeldung angezeigt:
    https://a-cocktail-a-day.com/wp-content/uploads/2017/02/Bildschirmfoto-2017-02-22-um-10.08.52.png

    Bei meinem Kollegen diese:
    https://a-cocktail-a-day.com/wp-content/uploads/2017/02/Screen-Shot-2017-02-21-at-09.53.37-am.png

    Sein Editor sieht auch anders aus: trotz dem Upgrade funktioniert bei ihm der Text-Editor. Er sieht aber keinen Switch zwischen visuell/text.

    Bei meinem Editor sehe ich den Switch visuell/text, kann aber nichts machen. Auch der Text-Editor funktioniert seit dem Upgrade auf die aktuelle WP-Version nicht mehr.

    Ich nutze kein spezielles Firewall-Plugin. Werde jetzt aber mal den Mac komplett updaten um zu schauen, ob dann evtl der Text-Editor wieder funktioniert (wie bei meinem Kollegen).

    Gibt es irgendeine Möglichkeit, mit einem anderen Editor zu posten? Oder was für Möglichkeiten habe ich noch?

    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Was soll ich dir jetzt dazu sagen? „Dann warte eben, bis deine Website gehackt wird“? Abgesehen davon kommen wir so nicht weiter.

    Ok, habe es aktualisiert. Jetzt geht weder der Text-Editor noch der visuelle Editor.

    In der Console erscheint, wenn ich im Editor bin, folgende Fehlermeldung:

    load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils,plupload&ver=4.7.2:9 JQMIGRATE: Migrate is installed, version 1.4.1
    tinymce.min.js Failed to load resource: the server responded with a status of 522 ()
    plugin.min.js?ver=4403-20160901:1 Uncaught ReferenceError: tinymce is not defined
        at plugin.min.js?ver=4403-20160901:1
    (anonymous) @ plugin.min.js?ver=4403-20160901:1
    post-new.php:2389 Uncaught ReferenceError: tinymce is not defined
        at post-new.php:2389
    (anonymous) @ post-new.php:2389
    wp-langs-en.js?ver=4403-20160901:235 Uncaught ReferenceError: tinyMCE is not defined
        at wp-langs-en.js?ver=4403-20160901:235
        at wp-langs-en.js?ver=4403-20160901:519
    (anonymous) @ wp-langs-en.js?ver=4403-20160901:235
    (anonymous) @ wp-langs-en.js?ver=4403-20160901:519
    post-new.php:2383 Uncaught ReferenceError: tinymce is not defined
        at Object.load_ext (post-new.php:2383)
        at post-new.php:2394
    load_ext @ post-new.php:2383
    (anonymous) @ post-new.php:2394
    listener.js:6 PV:Chrome: startup

    Um den Fehler nach einem Update einzugrenzen, versuchen wir immer erst einmal mögliche Fehlerquellen auszuschließen. Wenn du sicher bist, dass es nicht an den Plugins liegt, müsstest du mal kurz auf ein Standard-Theme (Twenty …) wechseln und schauen, ob der Editor dann funktioniert.

    Ich habe auf das akutelle TwentyFifteen gewechselt: hat nichts gebracht. (bin jetzt wieder zurück zum RedWood Theme)

    Wenn du das auch ausschließen kannst, könnte es an der Server-Konfiguration liegen. Viele Benutzer mit einem HTTP Error 522 berichten von Problemen mit Cloudflare – nutzt du das?

    Ja, ich nutze Cloudflare. Es erscheint keine Fehlermeldung HTTP Error 522, wenn du das meinst? Was meinst du genau mit der Server-Konfiguration bzw. inwiefern sollen wir diese anpassen?

    • Diese Antwort wurde geändert vor 4 Jahre, 7 Monaten von kristinaanna.
    Thread-Ersteller kristinaanna

    (@kristinaanna)

    Danke für deine Antwort @pixolin 🙂

    Vorab: Die von dir verwendete Version von WordPress ist nicht sicher. Es ist keine gute Idee, ein Downgrade auf eine unsichere WordPress-Version durchzuführen. Bitte aktualisiere WordPress sobald wie möglich.

    Das habe ich gemacht, dann ging der Editor aber gar nicht mehr, also auch der Text-Editor. Solange dieses Problem nicht gelöst ist, ist für mich ein Upgrade keine Option, da ich sonst ja überhaupt nicht mehr bloggen kann 🙁

    Hast du mal versucht, die Plugins vorübergehend zu deaktivieren?
    Funktioniert der Editor dann?

    Ja, ich habe die Plugins einzeln deaktiviert & getestet und auch alle zusammen deaktiviert & getestet: es funktionierte auf beide weisen nie und es trat keine Änderung auf.

Ansicht von 7 Antworten - 1 bis 7 (von insgesamt 7)